public static interface AvroEndpointBuilderFactory.AvroBuilders
| Modifier and Type | Method and Description |
|---|---|
default AvroEndpointBuilderFactory.AvroEndpointBuilder |
avro(String path)
Avro RPC (camel-avro-rpc)
Produce or consume Apache Avro RPC services.
|
default AvroEndpointBuilderFactory.AvroEndpointBuilder |
avro(String componentName,
String path)
Avro RPC (camel-avro-rpc)
Produce or consume Apache Avro RPC services.
|
default AvroEndpointBuilderFactory.AvroEndpointBuilder avro(String path)
avro:transport:host:port/messageName
Path parameter: transport (required)
Transport to use, can be either http or netty
There are 2 enums and the value can be one of: http, netty
Path parameter: port (required)
Port number to use
Path parameter: host (required)
Hostname to use
Path parameter: messageName
The name of the message to send.path - transport:host:port/messageNamedefault AvroEndpointBuilderFactory.AvroEndpointBuilder avro(String componentName, String path)
avro:transport:host:port/messageName
Path parameter: transport (required)
Transport to use, can be either http or netty
There are 2 enums and the value can be one of: http, netty
Path parameter: port (required)
Port number to use
Path parameter: host (required)
Hostname to use
Path parameter: messageName
The name of the message to send.componentName - to use a custom component name for the endpoint
instead of the default namepath - transport:host:port/messageNameApache Camel